Bug 208266 - Evolution hangs when viewing large messages
Evolution hangs when viewing large messages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 10:16 EDT by Sam Folk-Williams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evolution-data-server-1.8.0-10.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-30 18:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Folk-Williams 2006-09-27 10:16:13 EDT
Description of problem:
I keep having this issue where evolution becomes totally unresponsive. I
have to do a kill -9 and restart it. It seems to me the problem happens
if i change folders while a message is being loaded. For example, a large HTML
message with images. If I click out of the folder whilst that is going
on, I get the hang. Also the hang can happen if my VPN connection is
interrupted. This started happening in the past week or so. A did an
strace on the process and got nothing (just read(18, ) but a pstack is
below, followed by a ps auwx:

]$ cat evo.pstack 
Thread 10 (Thread -1266111600 (LWP 7364)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d6b01a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
from /lib/libpthread.so.0
#2  0x4d938642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
#3  0x4ecef43a in e_msgport_wait ()
from /usr/lib/libedataserver-1.2.so.7
#4  0x4ecef9f9 in e_msgport_reply ()
from /usr/lib/libedataserver-1.2.so.7
#5  0x4d6ac3db in start_thread () from /lib/libpthread.so.0
#6  0x4d605c2e in clone () from /lib/libc.so.6
Thread 9 (Thread -1276601456 (LWP 7365)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d6b01a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
from /lib/libpthread.so.0
#2  0x4d938642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
#3  0x4ecef43a in e_msgport_wait ()
from /usr/lib/libedataserver-1.2.so.7
#4  0x4ecef9f9 in e_msgport_reply ()
from /usr/lib/libedataserver-1.2.so.7
#5  0x4d6ac3db in start_thread () from /lib/libpthread.so.0
#6  0x4d605c2e in clone () from /lib/libc.so.6
Thread 8 (Thread -1308468336 (LWP 7368)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d5fc0c3 in poll () from /lib/libc.so.6
#2  0x00000000 in ?? ()
Thread 7 (Thread -1297585264 (LWP 7369)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d6b01a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
from /lib/libpthread.so.0
#2  0x4d938642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
#3  0x4ecef43a in e_msgport_wait ()
from /usr/lib/libedataserver-1.2.so.7
#4  0x4ecef9f9 in e_msgport_reply ()
from /usr/lib/libedataserver-1.2.so.7
#5  0x4d6ac3db in start_thread () from /lib/libpthread.so.0
#6  0x4d605c2e in clone () from /lib/libc.so.6
Thread 6 (Thread -1318958192 (LWP 7370)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d6b01a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
from /lib/libpthread.so.0
#2  0x4d938642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
#3  0x4ecef43a in e_msgport_wait ()
from /usr/lib/libedataserver-1.2.so.7
#4  0x4ecef9f9 in e_msgport_reply ()
from /usr/lib/libedataserver-1.2.so.7
#5  0x4d6ac3db in start_thread () from /lib/libpthread.so.0
#6  0x4d605c2e in clone () from /lib/libc.so.6
Thread 5 (Thread -1329448048 (LWP 7371)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d6b01a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
from /lib/libpthread.so.0
#2  0x4d938642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
#3  0x4ecef43a in e_msgport_wait ()
from /usr/lib/libedataserver-1.2.so.7
#4  0x4ecef9f9 in e_msgport_reply ()
from /usr/lib/libedataserver-1.2.so.7
#5  0x4d6ac3db in start_thread () from /lib/libpthread.so.0
#6  0x4d605c2e in clone () from /lib/libc.so.6
Thread 4 (Thread -1287095408 (LWP 7381)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d6b01a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
from /lib/libpthread.so.0
#2  0x4d938642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
#3  0x4ecef43a in e_msgport_wait ()
from /usr/lib/libedataserver-1.2.so.7
#4  0x4ecef9f9 in e_msgport_reply ()
from /usr/lib/libedataserver-1.2.so.7
#5  0x4d6ac3db in start_thread () from /lib/libpthread.so.0
#6  0x4d605c2e in clone () from /lib/libc.so.6
Thread 3 (Thread -1455244400 (LWP 7418)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d5fc0c3 in poll () from /lib/libc.so.6
#2  0x00000000 in ?? ()
Thread 2 (Thread -1398305904 (LWP 7420)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d5fc0c3 in poll () from /lib/libc.so.6
#2  0x00000000 in ?? ()
Thread 1 (Thread -1208596256 (LWP 7356)):
#0  0xb7f95402 in __kernel_vsyscall ()
#1  0x4d6b2d5b in __read_nocancel () from /lib/libpthread.so.0
#2  0x4ecef2be in e_thread_busy () from /usr/lib/libedataserver-1.2.so.7
#3  0x4ecef3a2 in e_msgport_get () from /usr/lib/libedataserver-1.2.so.7
#4  0x00473780 in mail_msg_free ()
#5  0x09793d90 in ?? ()
#6  0x00000001 in ?? ()
#7  0x0000001d in ?? ()
#8  0x096ddc00 in ?? ()
#9  0x096ddc08 in ?? ()
#10 0x00000000 in ?? ()
#0  0xb7f95402 in __kernel_vsyscall ()


$ ps auwx | grep evo
samfw     2864  0.0  1.0 106592 10912 ?        Sl   Sep26
0:01 /usr/libexec/evolution-data-server-1.8
--oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCheck
--oaf-ior-fd=31
samfw     3107  0.0  1.2 181848 12552 ?        Sl   Sep26
0:00 /usr/libexec/evolution/2.8/evolution-alarm-notify
--oaf-activate-iid=OAFIID:GNOME_Evolution_Calendar_AlarmNotify_Factory:2.8
--oaf-ior-fd=31
samfw     3215  0.0  2.6  31256 26880 ?        Ss   Sep26
0:01 /usr/bin/perl -T -w /usr/bin/spamd
--socketpath /home/samfw/.evolution/cache/tmp/spamd-socket-path-jEDEqn
--local --max-children=1
--pidfile /home/samfw/.evolution/cache/tmp/spamd-pid-file-6V0KCY
samfw     4663  0.0  2.6  31252 26880 ?        Ss   Sep26
0:01 /usr/bin/perl -T -w /usr/bin/spamd
--socketpath /home/samfw/.evolution/cache/tmp/spamd-socket-path-P41IC6
--local --max-children=1
--pidfile /home/samfw/.evolution/cache/tmp/spamd-pid-file-vv1FWQ
samfw     7214  0.0  2.6  31244 26876 ?        Ss   06:21
0:01 /usr/bin/perl -T -w /usr/bin/spamd
--socketpath /home/samfw/.evolution/cache/tmp/spamd-socket-path-PhZBH8
--local --max-children=1
--pidfile /home/samfw/.evolution/cache/tmp/spamd-pid-file-GX1zki
samfw     7356  0.6  5.0 326100 51924 ?        Sl   06:30   0:33
evolution --component=mail


Version-Release number of selected component (if applicable):
$ rpm -qa | grep evolution
evolution-sharp-0.11.1-10.fc6
evolution-data-server-devel-1.8.0-4.fc6
evolution-2.8.0-5.fc6
mail-notification-evolution-plugin-3.0-7.fc6
evolution-data-server-1.8.0-4.fc6


How reproducible:
ALways

Steps to Reproduce:
1. Click on a large HTML message 
2. Hit ctrl_i to begin image download
3. Switch to another message while the images are downloading
  
Actual results:
Evolution freezes

Expected results:
New message you click on is displayed

Additional info:
Comment 1 Matthew Barnes 2006-09-27 10:29:52 EDT
Thanks for the bug report.

Can I have you try upgrading to the latest evolution-data-server in Rawhide and
see if you still experience the hang?  I think a recent change may have
addressed this.

"yum update" should get you evolution-data-server-1.8.0-10.fc6.
Comment 2 Sam Folk-Williams 2006-09-27 13:33:42 EDT
Indeed it appears to be resolved with the latest update.

I'd like to keep it open for a few days just in case...

Thanks,
Sam
Comment 3 Sam Folk-Williams 2006-09-30 18:37:58 EDT
CLosing -- this is fixed.
Thanks,
Sam
Comment 4 Listman 2006-10-02 08:23:22 EDT
I'm still having a problem with Evolution hanging. I'm not loading any html or
anything just let it sit for a while and it wont close

Note You need to log in before you can comment on or make changes to this bug.